#include "triangleApp.h"



triangleApp::triangleApp(){
	
	
}


void triangleApp::init(){

	//CHANGE SETTINGS IN GLOBAL_DEFS.h
		
	
	IT  = new imageTexture(1024,1024, GL_RGB);    //big enough for 1024 by 768
												  //FOR LARGER Resolutions use 2048 by 2048	
								
												
												
												  //VIDEO INPUT 								
												  				
	videoInput::listDevices();					  //optional static function to list devices
		
	VI  = new videoInput();						  //class to manage all the cameras
	VI  ->setPhyCon(1, VI_COMPOSITE);			  //optional (CAPTURE DEVICE TO SETUP, CAPTURE_CONNECTION) - use VI_COMPOSITE (defualt) for most
	
	VI  ->setCaptureSize(1,CAM_W,CAM_H);		  //optional (CAPTURE DEVICE TO SETUP, CAPTURE WIDTH, CAPTURE HEIGHT)
	
	VI  ->setup(1);  							  //required (CAPTURE DEVICE TO SETUP) - 0 is the first device

	frame   = new unsigned char[VI->getSize(1)];  //optional (DEVICE NUMBER) - gets the buffer size of the image handed back
	
	
}

void triangleApp::idle(){
	
	if(VI->grabFrame(1, frame))					  //required (DEVICE NUMBER, BUFFER BIG ENOUGH FOR IMAGE) - returns rgb image as a byte array
	{
		IT->loadImageData(frame, VI->getWidth(1), VI->getHeight(1), GL_RGB); //use VI->width etc so that you don't get a crash
	}	
	
	
	
}




void triangleApp::draw(){
  
	setupScreen();
	IT->renderTexture(0, 0, 640, 480);
}

void triangleApp::keyDown  (char c){

	if(c=='S')
	{
		VI->showSettingsWindow(1);
	}

	if(c=='R') VI->restartDevice(1);

}

void triangleApp::mouseMove( float x, float y ){


}

void triangleApp::mouseDrag( float x, float y ){

}

void triangleApp::mouseDown( float x, float y, int button ){

}

void triangleApp::mouseUp  ( float x, float y, int button ){

}


