#include "videoInput.h"
#include "DShow.h"
#include "streams.h"
#include "atlbase.h"
#include "qedit.h"
#include "dxutil.h"
#include "vector"




videoDevice::videoDevice()
{
		
		 pCaptureGraph      = NULL;	// Capture graph builder object
		 pGraph             = NULL;					// Graph builder object
	     pControl           = NULL;				// Media control object
		 pVideoInputFilter  = NULL; 		// Video Capture filter
		 pGrabber           = NULL;    			// Grabs frame
		 pAmMediaType       = NULL;
		 
		 videoType 			= MEDIASUBTYPE_RGB24;


	     videoSize = 0;
	     width     = 0;
	     height    = 0;
	     
	     
	     tryDiffSize     = false;
	     useCrossbar     = false;
		 readyToCapture  = false;
	     
	     
  		 connection     = PhysConn_Video_Composite;
	     
}

void videoDevice::stop()
{

	pControl->Stop();
	SAFE_RELEASE(pCaptureGraph);
	SAFE_RELEASE(pVideoInputFilter);
	SAFE_RELEASE(pControl);
	SAFE_RELEASE(pGrabber);
	SAFE_RELEASE(pCaptureGraph);


}

videoDevice::~videoDevice()
{
	stop();
}